This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 561311

Summary: lxpanel battery monitor does not work with current ACPI
Product: [Fedora] Fedora Reporter: Arnaud Gomes-do-Vale <arnaud.gomes>
Component: lxpanelAssignee: Christoph Wickert <cwickert>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: cwickert, eric, hobbes1069, jkudlo, jrode, marcus.moeller, masami256
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: https://sourceforge.net/tracker/index.php?func=detail&aid=3006059&group_id=180858&atid=894869
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-19 20:19:16 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 505781    

Description Arnaud Gomes-do-Vale 2010-02-03 06:24:52 EST
Description of problem:

On my MacBook Pro, the battery monitor applet displays total nonsense: the graphical view always shows a fully charged battery (full green bar); the tooltip shows negative time (at the moment "Battery 100% charged, -1:-37 until full"). It Used To Work(tm) in Fedora 11.

Version-Release number of selected component (if applicable):

lxpanel-0.5.3-1.fc12.x86_64

How reproducible:

Always.

Steps to Reproduce:
1. set up lxpanel to display its battery monitor
2. run it
  
Actual results:

Displayed result has no meaning.

Expected results:

Displayed result accurately shows battery load and charge/discharge time.

Additional info:

If it matters:

gomes@m1597:~% cat /proc/acpi/battery/BAT0/state 
present:                 yes
capacity state:          ok
charging state:          charging
present rate:            19380 mW
remaining capacity:      34960 mWh
present voltage:         12376 mV
gomes@m1597:~% cat /proc/acpi/battery/BAT0/info 
present:                 yes
design capacity:         56000 mWh
last full capacity:      50090 mWh
battery technology:      rechargeable
design voltage:          11100 mV
design capacity warning: 250 mWh
design capacity low:     100 mWh
capacity granularity 1:  10 mWh
capacity granularity 2:  10 mWh
model number:            ASMB012
serial number:           
battery type:            LION012
OEM info:                Sony012
Comment 1 Christoph Wickert 2010-02-03 18:59:11 EST
Thanks for your report. The problem is not specific to a certain vendor or modell, but is caused by changes in the ACPI stack. The plugin uses /sys/class/power_supply/.. and the files there have been renamed. The problem I see is: If we change somthing there, I'm afraid this will break backwards compatibility with older kernels. I will need to investigate this with upstream, stay tuned.
Comment 2 Christoph Wickert 2010-06-03 21:05:43 EDT
Upstream is working on this now, I will have to look at the patches from 
https://sourceforge.net/tracker/index.php?func=detail&aid=3006059&group_id=180858&atid=894869
Comment 3 Christoph Wickert 2010-06-30 11:33:11 EDT
*** Bug 597849 has been marked as a duplicate of this bug. ***
Comment 4 Marcus Moeller 2010-07-18 14:50:47 EDT
Hi,

problem still seems to exist on F13 with lxpanel-0.5.5-3

Greets
Marcus
Comment 5 Christoph Wickert 2010-07-18 15:16:00 EDT
Yes, the upstream bug is still open, so it cannot be fixed in Fedora.
Comment 6 Bug Zapper 2010-11-03 19:11:31 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Christoph Wickert 2010-11-03 19:24:17 EDT
Still doesn't work in lxpanel 0.5.6. Raising version field to 14 to avoid the bug gets closed.
Comment 8 Christoph Wickert 2011-06-07 01:41:55 EDT
*** Bug 711243 has been marked as a duplicate of this bug. ***
Comment 9 Jeremy Rode 2011-08-17 00:39:15 EDT
Seems to still be a problem in F15.
Comment 10 Christoph Wickert 2011-08-17 02:53:07 EDT
Sure, have a look at the upstream bug report, it is still open. All I can tell you at this point is to use batti instead.
Comment 11 Richard Shaw 2011-09-15 15:44:14 EDT
(In reply to comment #2)
> Upstream is working on this now, I will have to look at the patches from 
> https://sourceforge.net/tracker/index.php?func=detail&aid=3006059&group_id=180858&atid=894869

Looks like it's closed as "Fixed" now...

Richard
Comment 12 Fedora Update System 2011-11-01 18:53:38 EDT
lxpanel-0.5.8-1.fc16, lxinput-0.3.1-1.fc16, lxsession-edit-0.2.0-1.fc16, lxrandr-0.1.2-1.fc16, lxpolkit-0.1.0-1.fc16, lxterminal-0.1.11-1.fc16, lxshortcut-0.1.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lxpanel-0.5.8-1.fc16,lxinput-0.3.1-1.fc16,lxsession-edit-0.2.0-1.fc16,lxrandr-0.1.2-1.fc16,lxpolkit-0.1.0-1.fc16,lxterminal-0.1.11-1.fc16,lxshortcut-0.1.2-1.fc16
Comment 13 Fedora Update System 2011-11-02 13:57:14 EDT
Package lxpanel-0.5.8-1.fc16, lxinput-0.3.1-1.fc16, lxsession-edit-0.2.0-1.fc16, lxrandr-0.1.2-1.fc16, lxpolkit-0.1.0-1.fc16, lxterminal-0.1.11-1.fc16, lxshortcut-0.1.2-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lxpanel-0.5.8-1.fc16 lxinput-0.3.1-1.fc16 lxsession-edit-0.2.0-1.fc16 lxrandr-0.1.2-1.fc16 lxpolkit-0.1.0-1.fc16 lxterminal-0.1.11-1.fc16 lxshortcut-0.1.2-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15301
then log in and leave karma (feedback).
Comment 14 masami256 2011-11-05 13:11:03 EDT
Hi, 
lxpanel-0.5.8-1.fc16.x86_64 always says battery is 100% charged even though battery is not 100% charged. However, remaining time looks correct. lxpanel-0.5.6-2.fc15.x86_64(using fedora 16) worked fine for me.
I tested webattery command and it showed battery status correctly.

[masami@rune]~% cat /proc/acpi/battery/BAT0/info 
present:                 yes
design capacity:         5200 mAh
last full capacity:      4896 mAh
battery technology:      rechargeable
design voltage:          11100 mV
design capacity warning: 520 mAh
design capacity low:     52 mAh
cycle count:              0
capacity granularity 1:  10 mAh
capacity granularity 2:  25 mAh
model number:            MWL32b
serial number:            
battery type:            LION
OEM info:                SIMPLO
[masami@rune]~% cat /proc/acpi/battery/BAT0/state
present:                 yes
capacity state:          ok
charging state:          charging
present rate:            3223 mA
remaining capacity:      1344 mAh
present voltage:         11873 mV
[masami@rune]~% uname -a
Linux rune 3.1.0-5.fc16.x86_64 #1 SMP Thu Oct 27 03:46:50 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Cheers,
Comment 15 Christoph Wickert 2012-03-04 12:44:35 EST
(In reply to comment #14)
> Hi, 
> lxpanel-0.5.8-1.fc16.x86_64 always says battery is 100% charged even though
> battery is not 100% charged. However, remaining time looks correct.
> lxpanel-0.5.6-2.fc15.x86_64(using fedora 16) worked fine for me.

This has to do with the kernel rather than lxpanel. 0.5.8 will work with older kernels just like 0.5.6.

I'm going to push another update for lxpanel later.
Comment 16 Fedora Update System 2012-06-10 14:43:59 EDT
lxpanel-0.5.9-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lxpanel-0.5.9-1.fc17
Comment 17 Fedora Update System 2012-06-10 14:45:44 EDT
lxpanel-0.5.9-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lxpanel-0.5.9-1.fc16
Comment 18 Fedora Update System 2012-06-10 14:47:04 EDT
lxpanel-0.5.9-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/lxpanel-0.5.9-1.fc15
Comment 20 masami256 2012-06-11 08:07:52 EDT
lxpanel-0.5.10-1.fc17 works fine for me. Thanks. I gave +1 karma to it.
Comment 21 Fedora Update System 2012-06-11 20:30:17 EDT
Package lxpanel-0.5.10-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lxpanel-0.5.10-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9267/lxpanel-0.5.10-1.fc16
then log in and leave karma (feedback).
Comment 22 Fedora Update System 2012-06-19 20:19:16 EDT
lxpanel-0.5.10-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2012-06-27 23:51:29 EDT
lxpanel-0.5.10-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.